/*
For the Macintosh World
to compile: javac -classpath .:KarelJRobot.jar kareltherobot/*.java
to run:  java -cp .:KarelJRobot.jar kareltherobot.Application


For the Windows World
to compile:  javac -classpath .;KarelJRobot.jar kareltherobot/*.java
to run:  java -cp .;KarelJRobot.jar kareltherobot.Application

*/
/*
  This program written by Scott McElfresh
  It has a robot put down a 3X3 "box" of beepers and move off of the box.
  The user gets to specify the world and how many beepers should be left at the end.
*/

package kareltherobot;
import javax.swing.JOptionPane;

public class Application implements Directions
{	
    public static void main(String [] args)
    {	
	   String nameOfWorldFile = JOptionPane.showInputDialog("Enter name of world file:");
	   World.readWorld(nameOfWorldFile);
	   World.setVisible(true);
	   World.setTrace(true);
	   World.setDelay(10);
	   
	   int numBeepersNeeded = 9;
	   
	   String userinput = JOptionPane.showInputDialog("How many beepers should be left over?");
	   int leftover = Integer.parseInt(userinput);
	   
	   TurningRobot karel = new TurningRobot(1,1,East,numBeepersNeeded + leftover);
	   
	   karel.putBeeper();
	   karel.move();
	   karel.putBeeper();
	   karel.move();
	   karel.putBeeper();
	   karel.turnLeft();
	   karel.move();
	   karel.turnLeft();
	   karel.putBeeper();
	   karel.move();
	   karel.putBeeper();
	   karel.move();
	   karel.putBeeper();
	   karel.turnRight();
	   karel.move();
	   karel.turnRight();	   
	   karel.putBeeper();
	   karel.move();
	   karel.putBeeper();
	   karel.move();
	   karel.putBeeper();
	   karel.move();  // move away
	   karel.turnOff();
		
		
   }// end of method main
} // end of class Application